/*******************************************************************************
 * Copyright (c) 2007-2008 INdT.
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*
 ============================================================================
 Name        : helloworld.c
 Author      : AH
 Version     : 0.1
 Description : Hello World GTK
 ============================================================================
 */

#include <gtk/gtk.h>
#include <string.h>
#include <stdlib.h>
#include "play.c"
//static int band=2;
static GtkWidget *window1, *window;



void Jump(GtkWidget *widget,
        int  band)
{

		printf("In jump.....%d\n",band);
		char *first="helloworld";
		char *second = (char*)malloc(50*sizeof(char));
		memset(second,0,50);
		//printf("sdggagf%s\n",second);
		switch(band)
		{
		case 1:
			strncpy(second,"/root/sounds/lp.mp3",40);
			second[strlen(second)] = 0;
			//band = 0;
			printf("%s\n",second);
		break;
		case 2:
			strncpy(second,"/root/sounds/gd.mp3",40);
			second[strlen(second)] = 0;
			//band = 0;
		break;
		case 3:
			strncpy(second,"/root/sounds/ad.mp3",40);
			second[strlen(second)] = 0;
			//band = 0;
		break;
		case 4:
				strncpy(second,"/root/sounds/pf.mp3",40);
				second[strlen(second)] = 0;
				//band = 0;
		break;
		default:
		break;
		}

		char *own_argv[2];
		own_argv[0]=first;
		own_argv[1]=second;
		play_music(2,own_argv);
}

/* Another callback */


/*void back()
{
			char *first="helloworld";
		    char *second="/root/sounds/shut.mid";
		    char *own_argv[2];
		    own_argv[0]=first;
		    own_argv[1]=second;
		    play_music(2,own_argv);
	}
	*/

void hide(GtkWidget *widget,gpointer   data )
{
	//back();
	stop();
	gtk_widget_hide (window1);


	}

void destroy( GtkWidget *widget,
              gpointer   data )
{
	//stop();
	hide(window1,NULL);
	hide(window,NULL);
	//gtk_main_quit ();

}

void destroy_all( GtkWidget *widget,
              gpointer   data )
{
	//gtk_widget_show (window1);
	hide(window,NULL);
	//gtk_main_quit ();

}




/* This is a callback function. The data arguments are ignored
 * in this example. More on callbacks below. */
void Window1( GtkWidget *widget,
            gpointer   data )
{
	GtkWidget *button_preview,*button_back,*button_exit,*image, *vbox;
	window1 = gtk_window_new (GTK_WINDOW_TOPLEVEL);

	int selected = (int)data;
	printf("selected=%d\n",selected);
	vbox= gtk_vbox_new (FALSE,10);
	button_preview = gtk_button_new_with_label ("Preview Music :)");
	button_back= gtk_button_new_with_label ("<<<<< BACK");
	button_exit= gtk_button_new_with_label ("!!EXIT!!");

	gtk_box_pack_start (GTK_BOX(vbox), button_preview,FALSE, FALSE,10);
	gtk_box_pack_start (GTK_BOX(vbox), button_back,FALSE, FALSE,10);
	gtk_box_pack_start (GTK_BOX(vbox), button_exit,FALSE, FALSE,10);

	gtk_container_add (GTK_CONTAINER (window1), vbox);
	gtk_window_set_title(GTK_WINDOW (window1),"Artist Details");


	//image =  gtk_button_set_image(GTK_BUTTON(button),image);
	gtk_container_add (GTK_CONTAINER (window1), button_preview);
	   // gtk_container_add (GTK_CONTAINER (window), button_concert3);
	    /* The final step is to display this newly created widget. */
	gtk_widget_show (button_preview);
	gtk_widget_show (button_back);
	gtk_widget_show (button_exit);

	gtk_widget_show_all (window1);

	g_signal_connect (G_OBJECT (button_preview), "clicked",
			      G_CALLBACK (Jump), selected);
	g_signal_connect (G_OBJECT (button_back), "clicked",
			      G_CALLBACK (hide), NULL);
	g_signal_connect (G_OBJECT (button_exit), "clicked",
				      G_CALLBACK (destroy), NULL);

	g_print ("Hello World\n");
}


gint delete_event( GtkWidget *widget,
                   GdkEvent  *event,
		   gpointer   data )
{
    /* If you return FALSE in the "delete_event" signal handler,
     * GTK will emit the "destroy" signal. Returning TRUE means
     * you don't want the window to be destroyed.
     * This is useful for popping up 'are you sure you want to quit?'
     * type dialogs. */

    g_print ("delete event occurred\n");

    /* Change FALSE to TRUE and the main window will remain open with
     * a "delete_event". */

    return FALSE;
}



int main( int   argc,
          char *argv[] )
{
	char *first="helloworld";
	       char *second="/root/sounds/start.wav";
	       char *own_argv[2];
	       own_argv[0]=first;
	       own_argv[1]=second;
	       play_music(2,own_argv);
	       printf("Sent");
	//argv1[50][1]="play";
	//argv1[50][2]="/home/codecamp/esbox/workspace/sounds/start.wav";
	//printf("fdada%s",argv[1]);

    /* GtkWidget is the storage type for widgets */
    GtkWidget *welcome_screen, *vbox, *image;
    GtkWidget *button, *button_concert1,*button_concert2,*button_concert3,
    *button_concert4,*button_concert5,*button_concert6,*button_concert7;

    /* This is called in all GTK applications. Arguments are parsed
     * from the command line and are returned to the application. */
    gtk_init (&argc, &argv);



    /* create a new window */
    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    //welcome_screen = gtk_window_new (GTK_WINDOW_TOPLEVEL);


    /* When the window is given the "delete_event" signal (this is given
     * by the window manager, usually by the "close" option, or on the
     * titlebar), we ask it to call the delete_event () function
     * as defined above. The data passed to the callback
     * function is NULL and is ignored in the callback function. */
    g_signal_connect (G_OBJECT (window), "delete_event",
		      G_CALLBACK (delete_event), NULL);

    /* Here we connect the "destroy" event to a signal handler.
     * This event occurs when we call gtk_widget_destroy() on the window,
     * or if we return FALSE in the "delete_event" callback. */
    g_signal_connect (G_OBJECT (window), "destroy",
		      G_CALLBACK (destroy), NULL);

    /* Sets the border width of the window. */
    gtk_container_set_border_width (GTK_CONTAINER (window), 10);

   // gtk_window_set_title(GTK_WINDOW (welcome_screen),"Welcome to Concert Info");
    //image =  gtk_button_set_image(GTK_BUTTON(button),image);
    //gtk_widget_show_all (welcome_screen);
    gtk_widget_show_all (window);



    gtk_window_set_title(GTK_WINDOW (window),"Concert Info");
    //gtk_container_set_label (GTK_CONTAINER (window), "Concert Info");
    //gtk_container_set_border_width (GTK_CONTAINER (window), 10);

    vbox= gtk_vbox_new (FALSE,10);


    /* Creates a new button with the label "Hello World". */
    button_concert1= gtk_button_new_with_label ("LINKIN PARK LIVE!!! 21st Sep 09 Helsinki");
    button_concert2= gtk_button_new_with_label ("GREENDAY PERFORMS!!!9 Oct 09 Oulu" );
    button_concert3= gtk_button_new_with_label ("AC DC ON FIRE!!! TOMORROW LAPPEENRANTA");
    button_concert4= gtk_button_new_with_label ("PINK FLOYD IN CONCERT!!! 28 AUG 09 Kuopio");
    button_concert5= gtk_button_new_with_label ("........................");
    button_concert6= gtk_button_new_with_label ("........................");
    button_concert7= gtk_button_new_with_label ("........................");

    /* When the button receives the "clicked" signal, it will call the
     * function hello() passing it NULL as its argument.  The hello()
     * function is defined above. */

    g_signal_connect (G_OBJECT (button_concert1), "clicked",
		      G_CALLBACK (Window1), 1);
    g_signal_connect (G_OBJECT (button_concert2), "clicked",
        		      G_CALLBACK (Window1), 2);

    g_signal_connect (G_OBJECT (button_concert3), "clicked",
           		      G_CALLBACK (Window1), 3);

    g_signal_connect (G_OBJECT (button_concert4), "clicked",
						G_CALLBACK (Window1), 4);

    g_signal_connect (G_OBJECT (button_concert7), "clicked",
                  		G_CALLBACK (destroy_all),NULL);
   // band = 0;
    gtk_box_pack_start (GTK_BOX(vbox), button,FALSE, FALSE,0);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert1,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert2,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert3,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert4,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert5,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert6,FALSE, FALSE,10);
    gtk_box_pack_start (GTK_BOX(vbox), button_concert7,FALSE, FALSE,10);

    /* This will cause the window to be destroyed by calling
     * gtk_widget_destroy(window) when "clicked".  Again, the destroy
     * signal could come from here, or the window manager. */
    g_signal_connect_swapped (G_OBJECT (button), "clicked",
			      G_CALLBACK (gtk_widget_destroy),
                              G_OBJECT (window));

    /* This packs the button into the window (a gtk container). */
    gtk_container_add (GTK_CONTAINER (window), vbox);
    //gtk_container_add (GTK_CONTAINER (window), button_concert2);
   // gtk_container_add (GTK_CONTAINER (window), button_concert3);
    /* The final step is to display this newly created widget. */

    gtk_widget_show (button_concert1);
    gtk_widget_show (button_concert2);
    gtk_widget_show (button_concert3);
    gtk_widget_show (button_concert4);
    gtk_widget_show (button_concert5);

    /* and the window */
    gtk_widget_show_all (window);

    /* All GTK applications must have a gtk_main(). Control ends here
     * and waits for an event to occur (like a key press or
     * mouse event). */
    gtk_main ();

    return 0;
}
